> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web.markup/extensions/wisej.web.markup.ilabelextensions.md).

# ILabelExtensions

Namespace: **Wisej.Web.Markup**

Assembly: **Wisej.Framework** (4.1.0.0)

Adds [fluent markup](https://learn.microsoft.com/en-us/dotnet/communitytoolkit/maui/markup/markup) extension methods to the [LabelWrapper](https://docs.wisej.com/api/wisej.web/editors/wisej.web.labelwrapper.md) class.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ILabelExtensions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ILabelExtensions
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/kO1NJonWXUyy0yRrTxGp) Label\<TLabel>(target, label)

Sets the label of the target using a [LabelWrapper](https://docs.wisej.com/api/wisej.web/editors/wisej.web.labelwrapper.md).

| Parameter  | Type                                                                                   | Description                                                                                                                  |
| ---------- | -------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| **TLabel** |                                                                                        | The type of the control, which must implement [ILabel](https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.ilabel.md). |
| **target** | [TLabel](/api/wisej.web.markup/extensions/wisej.web.markup.ilabelextensions.md)        | The target control which must implement [ILabel](https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.ilabel.md).       |
| **label**  | [LabelWrapper](https://docs.wisej.com/api/wisej.web/editors/wisej.web.labelwrapper.md) | The [LabelWrapper](https://docs.wisej.com/api/wisej.web/editors/wisej.web.labelwrapper.md) containing the label information. |

**Returns:** [TLabel](/api/wisej.web.markup/extensions/wisej.web.markup.ilabelextensions.md). The target control with the updated Label.

### ![](/files/kO1NJonWXUyy0yRrTxGp) LabelText\<TLabel>(target, text)

Sets the LabelText property of the [ILabel](https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.ilabel.md) target control.

| Parameter  | Type                                                                            | Description                                                                                                                  |
| ---------- | ------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| **TLabel** |                                                                                 | The target control type, which must implement [ILabel](https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.ilabel.md). |
| **target** | [TLabel](/api/wisej.web.markup/extensions/wisej.web.markup.ilabelextensions.md) | The target control which must implement [ILabel](https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.ilabel.md).       |
| **text**   | [String](https://docs.microsoft.com/dotnet/api/system.string)                   | The text to assign to [LabelText](https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.ilabel.md#labeltext).            |

**Returns:** [TLabel](/api/wisej.web.markup/extensions/wisej.web.markup.ilabelextensions.md). The target control with the updated LabelText.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web.markup/extensions/wisej.web.markup.ilabelextensions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
